org.apache.ignite.internal.processors.platform.memory

## Class PlatformUnpooledMemory

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.memory.PlatformAbstractMemory
  - - org.apache.ignite.internal.processors.platform.memory.PlatformUnpooledMemory

All Implemented Interfaces:
  AutoCloseable, PlatformMemory

    public class PlatformUnpooledMemory
    extends PlatformAbstractMemory

Interop un-pooled memory chunk.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.memory.PlatformAbstractMemory

`memPtr`

### Constructor Summary

Constructors
Constructor and Description
`PlatformUnpooledMemory(long memPtr)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close memory releasing it.
`void` `reallocate(int cap)` Reallocate memory chunk.

### Methods inherited from class org.apache.ignite.internal.processors.platform.memory.PlatformAbstractMemory

`capacity, data, input, length, output, pointer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformUnpooledMemory

    public PlatformUnpooledMemory(long memPtr)

Constructor.

Parameters:
  `memPtr` - Cross-platform memory pointer.

### Method Detail

#### reallocate

    public void reallocate(int cap)

Reallocate memory chunk.

Parameters:
  `cap` - Minimum capacity.

#### close

    public void close()

Close memory releasing it.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019